Subject: Re: 440GP "Ebony" boot problems

From: Andriy Korud <[email-masked]>
Date: Fri, 26 Nov 2004 10:13:31 +0100

I also thought similar, but:

- make bzImage within stock 2.6.9 gives me zImage.elf
- when trying to boot Ebony with it I have:

Booting from [EMAC0] Ethernet 0   ...
Sending bootp request ...

Loading file "zImage.elf" ...
Sending tftp boot request ...
Not a valid boot image file

And I'm completely lost with this :-)

regards,

--

Andriy Korud

On Thu, 2004-11-25 at 10:52 -0800, Eugene Surovegin wrote:
> On Thu, Nov 25, 2004 at 05:18:49PM +0100, Andriy Korud wrote:
> > I'm trying to boot original 440GP "Ebony" board wiath original IBM ROM
> > Monitor:
> > ...
> > 	440GP 1.18 ROM Monitor (02/11/02)
> > ...
> > 
> > However I've discovered that it requires special image in KDI (Kernel
> > Downloadable Image) format. And it seems that the only way to make such
> > image is to use 'mkimage' utility from LynuxWorks which is not widely
> > available :-)
> > Can anybody help me with this?
> 
> Huh? I'm away from my Ebony right now, so I cannot check which 
> OpenBIOS version it has but I never heard about KDI. 
> 
> Image generated by the `make bzImage` in 2.4 or 2.6 official 
> kernel should be bootable on Ebony with original IBM firmware.
> 
> Why do you think IBM firmware requires LynuxWorks special image? This 
> sounds like a nonsense, frankly.
> 
> --
> Eugene